get_resource_type
import_request_variables
Variable handling Functions
PHP Manual

# gettype

(PHP 4, PHP 5, PHP 7)

gettype — Get the type of a variable

### Description

string gettype ( mixed `$var` )

Returns the type of the PHP variable `var`. For type checking, use is_* functions.

### Parameters

`var`

  The variable being type checked.

### Return Values

Possible values for the returned string are:

- "boolean"
- "integer"
- "double" (for historical reasons "double" is returned in case of a float, and not simply "float")
- "string"
- "array"
- "object"
- "resource"
- "NULL"
- "unknown type"

### Examples

Example #1 gettype() example

`<?php
$data = array(1, 1., NULL, new stdClass, 'foo');
foreach ($data as $value) {
echo gettype($value), "\n";
}
?>`

The above example will output something similar to:

    integer
    double
    NULL
    object
    string

### See Also

- settype() - Set the type of a variable
- get_class() - Returns the name of the class of an object
- is_array() - Finds whether a variable is an array
- is_bool() - Finds out whether a variable is a boolean
- is_callable() - Verify that the contents of a variable can be called as a function
- is_float() - Finds whether the type of a variable is float
- is_int() - Find whether the type of a variable is integer
- is_null() - Finds whether a variable is NULL
- is_numeric() - Finds whether a variable is a number or a numeric string
- is_object() - Finds whether a variable is an object
- is_resource() - Finds whether a variable is a resource
- is_scalar() - Finds whether a variable is a scalar
- is_string() - Find whether the type of a variable is string
- function_exists() - Return TRUE if the given function has been defined
- method_exists() - Checks if the class method exists

get_resource_type
import_request_variables
Variable handling Functions
PHP Manual